#pragma once

#include "CoreMinimal.h"
#include "ScreenshotToolTargetRowBase.h"
#include "ScreenshotViewSetting.h"
#include "ScreenshotToolViewOverridesData.generated.h"

USTRUCT(BlueprintType)
struct FScreenshotToolViewOverridesData : public FScreenshotToolTargetRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FScreenshotViewSetting Settings;

public:
	DEADBYDAYLIGHT_API FScreenshotToolViewOverridesData();
};

FORCEINLINE uint32 GetTypeHash(const FScreenshotToolViewOverridesData) { return 0; }
